<@nav.dropdown @onHide={{this.onHide}} @onShow={{this.onShow}} as |currency-dropdown|>
  <currency-dropdown.button @type={{this.application.colorScheme}}>
    {{#unless this.opened}}
      <BsTooltip @delayShow="500" @title={{t "components.app.main-header.language-selector.help"}} />
    {{/unless}}
    {{#if (eq this.intl.primaryLocale "en")}}
      English
    {{else if (eq this.intl.primaryLocale "fr")}}
      Français
    {{/if}}
  </currency-dropdown.button>

  <currency-dropdown.menu @align="right" as |currency-dropdown-menu|>
    <currency-dropdown-menu.item>
      <BsButton @active={{eq this.intl.primaryLocale "en"}} @onClick={{fn this.setLanguage "en"}} class="dropdown-item">
        English - EN
      </BsButton>
    </currency-dropdown-menu.item>

    <currency-dropdown-menu.item>
      <BsButton @active={{eq this.intl.primaryLocale "fr"}} @onClick={{fn this.setLanguage "fr"}} class="dropdown-item">
        Français - FR
      </BsButton>
    </currency-dropdown-menu.item>

  </currency-dropdown.menu>
</@nav.dropdown>